r2423 - jhalfs/branches/experimental

manuel at linuxfromscratch.org manuel at linuxfromscratch.org
Mon Mar 27 12:21:12 PST 2006


Author: manuel
Date: 2006-03-27 13:21:11 -0700 (Mon, 27 Mar 2006)
New Revision: 2423

Modified:
   jhalfs/branches/experimental/master.sh
Log:
Added a poor-man test to --directory switch.

Modified: jhalfs/branches/experimental/master.sh
===================================================================
--- jhalfs/branches/experimental/master.sh	2006-03-27 20:07:17 UTC (rev 2422)
+++ jhalfs/branches/experimental/master.sh	2006-03-27 20:21:11 UTC (rev 2423)
@@ -127,10 +127,19 @@
     --directory | -D )
       test $# = 1 && eval "$exit_missing_arg"
       shift
-      BUILDDIR=$1
-      JHALFSDIR=$BUILDDIR/jhalfs
-      LOGDIR=$JHALFSDIR/logs
-      MKFILE=$JHALFSDIR/Makefile
+      case $1 in
+        -* )
+          echo -e "\n$1 isn't a valid build directory\n."
+          echo -e "Directory names can't start with - .\n"
+          exit 1
+          ;;
+        * )
+          BUILDDIR=$1
+          JHALFSDIR=$BUILDDIR/jhalfs
+          LOGDIR=$JHALFSDIR/logs
+          MKFILE=$JHALFSDIR/Makefile
+          ;;
+      esac
       ;;
 
     --get-packages | -G )  HPKG=1    ;;




More information about the alfs-log mailing list